Browser Requirements

CanvasJS is built using Canvas element. Canvas element is a part of HTML5 specification and allows drawing graphics via scripting. It is supported in all the modern browsers. https://en.wikipedia.org/wiki/Canvas_element#Support

CanvasJS StockChart renders seamlessly across all modern browsers and devices and also works in IE8 using excanvas as a fallback.

Below is the list of browsers and platforms on which CanvasJS StockChart has been tested.

    • Chrome / Chromium
    • Firefox
    • Safari
    • Opera
    • IE 9+
    • IE 8 (Using excanvas)
    • iPhone – Safari, Chrome, Firefox
    • iPad – Safari, Chrome, Firefox
    • Android – Chrome, Firefox, Opera, WebView


If you have any questions, please feel free to ask in our forums.